using AbstractShopContracts.BindingModels;
using AbstractShopContracts.SearchModels;
using AbstractShopContracts.ViewModels;

namespace AbstractShopContracts.BusinessLogicsContracts
{
    public interface IComponentLogic
    {
        List<ComponentViewModel>? ReadList(ComponentSearchModel? model);

        ComponentViewModel? ReadElement(ComponentSearchModel model);

        bool Create(ComponentBindingModel model);

        bool Update(ComponentBindingModel model);

        bool Delete(ComponentBindingModel model);
    }
}